freemarker.ext.beans

## Class StringModel

- java.lang.Object
- - freemarker.ext.beans.BeanModel
  - - freemarker.ext.beans.StringModel

All Implemented Interfaces:
  WrapperTemplateModel, AdapterTemplateModel, TemplateHashModel, TemplateHashModelEx, TemplateModel, TemplateModelWithAPISupport, TemplateScalarModel

Direct Known Subclasses:
  CollectionModel, MapModel

    public class StringModel
    extends BeanModel
    implements TemplateScalarModel

Subclass of `BeanModel` that exposes the return value of the `Object.toString()` method through the `TemplateScalarModel` interface.

### Field Summary

### Fields inherited from class freemarker.ext.beans.BeanModel

`object, wrapper`

### Fields inherited from interface freemarker.template.TemplateScalarModel

`EMPTY_STRING`

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Constructor Summary

Constructors
Constructor and Description
`StringModel(Object object, BeansWrapper wrapper)` Creates a new model that wraps the specified object with BeanModel + scalar functionality.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAsString()` Returns the result of calling `Object.toString()` on the wrapped object.

### Methods inherited from class freemarker.ext.beans.BeanModel

`get, getAdaptedObject, getAPI, getWrappedObject, hasPlainGetMethod, invokeGenericGet, isEmpty, keys, keySet, size, toString, unwrap, values, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StringModel

    public StringModel(Object object,
                       BeansWrapper wrapper)

Creates a new model that wraps the specified object with BeanModel + scalar functionality.

Parameters:
  `object` - the object to wrap into a model.
  `wrapper` - the `BeansWrapper` associated with this model. Every model has to have an associated `BeansWrapper` instance. The model gains many attributes from its wrapper, including the caching behavior, method exposure level, method-over-item shadowing policy etc.

### Method Detail

#### getAsString

    public String getAsString()

Returns the result of calling `Object.toString()` on the wrapped object.

Specified by:
  `getAsString` in interface `TemplateScalarModel`